## ZendX_JQuery_View_Helper_AutoComplete

Description

jQuery Autocomplete View Helper

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: Zend_Json, - Zend_View_Helper_FormText

Located in /JQuery/View/Helper/AutoComplete.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_AutoComplete

Method Summary
String autoComplete (String $id, [String $value = null], [ $params = array()], [ $attribs = array()])
Variables

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
autoComplete (line 57)

Builds an AutoComplete ready input field.

This view helper builds an input field with the Zend_View_Helper_FormText FormText Helper and adds additional javascript to the jQuery stack to initialize an AutoComplete field. Make sure you have set one out of the two following options: $params['data'] or $params['url']. The first one accepts an array as data input to the autoComplete, the second accepts an url, where the autoComplete content is returned from. For the format see jQuery documentation.

- link: http://docs.jquery.com/UI/Autocomplete
- throws: ZendX_JQuery_Exception
- access: public

String autoComplete (String $id, [String $value = null], [ $params = array()], [ $attribs = array()])

- String $id
- String $value
- array $params
- array $attribs

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:44 -0700 by phpDocumentor 1.4.2